### Function

# Gtk.Settings.get_default

#### Declaration [src]

    GtkSettings*
    gtk_settings_get_default (
      void
    )

#### Description [src]

Gets the `GtkSettings` object for the default display, creating it if necessary.

See [type_func@Gtk.Settings.get_for_display].

#### Return value

Returns: `GtkSettings`
a `GtkSettings` object. If there is no default display, then returns `NULL`.
Ownership is not transferred to the caller
Can be `NULL`